<?php
/**
*
* @copyright: phpBB-Gaming
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

if (!$auth->acl_get('a_'))
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}

$db->sql_return_on_error(true);

$message = '';
$error = false;
$sql_ary = array();
$sql_ary[] = "ALTER TABLE ". USERS_TABLE ." ADD `user_points` INT( 11 ) NOT NULL DEFAULT '0';";
$sql_ary[] = 'INSERT INTO ' . ACL_OPTIONS_TABLE . " (auth_option, is_global, is_local) VALUES ('f_points', 0, 1);";
$sql_ary[] = 'INSERT INTO ' . ACL_OPTIONS_TABLE . " (auth_option, is_global, is_local) VALUES ('m_points', 1, 0);";

foreach ($sql_ary as $sql)
{
	$message .= '<p style="font-weight: bold;">'.$sql.'</p>';
	$result = $db->sql_query($sql);
	if ($result)
	{
		$message .= '<p style="color: green;">Query processed succesfully.</p>';
	}
	else
	{
		$error = true;
		$message .= '<p style="color: red;">There was an error while processing this query.</p>';
	}
	$message .= '<br />';
}
set_config('points_enable', '1');
set_config('points_name', 'Points');
set_config('points_topic', '20');

$message .= '<p style="color: green;">Config values have been set.</p>';

$cache->purge();
add_log('admin', 'LOG_PURGE_CACHE');
$message .= '<p style="color: green;">The cache has been purged.</p>';

if($error == true)
{
	$message .= '<p>All queries have been processed, but some errors occured. For security reasons, delete this file from your server.</p>';
}
else
{
	$message .= '<p>All queries have been processed succesfully. For security reasons, delete this file from your server.</p>';
}
trigger_error($message);

?>