<?php
/** 
*
* @package phpBB3
* @version $Id: donate.php,v 1.0 2007/07/01 Ganon_Master Exp $
* @copyright (c) 2007 phpBB-Gaming.com 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/mods/functions_points.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/points');

// Only registered Users can go beyond this point
if (!$user->data['is_registered'])
{
	if ($user->data['is_bot'])
	{
		redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
	}
	login_box('', $user->lang['LOGIN_INFO']);
}

$adm_points	= request_var('adm_points', false);
$u_id 		= request_var('user_id', '');
$post_id	= request_var('post_id', '');

if(empty($u_id))
{
	trigger_error($user->lang['NO_ID_SPECIFIED']);
}

if($adm_points != false && ($auth->acl_get('a_') || $auth->acl_get('m_points')))
{
	$template->assign_block_vars('administer_points', array());
	
	if(isset($_POST['submit']))
	{
		$new_points = request_var('points', '0');
		
		set_points($u_id, $new_points);
		
		$message = ($post_id) ? sprintf($user->lang['DONATION_RETURN_POST'], '<a href="'.$phpbb_root_path.'viewtopic.'.$phpEx.'?p='.$post_id.'">', '</a>') : sprintf($user->lang['DONATION_RETURN_INDEX'], '<a href="'.$phpbb_root_path.'index.'.$phpEx.'">', '</a>');
		
		trigger_error($user->lang['POINTS_SET'].$message);
	}
	else
	{
		$sql = "SELECT user_id, username, user_points, user_colour 
			FROM " . USERS_TABLE . " 
			WHERE user_id = '{$u_id}'";
		$result = $db->sql_query($sql);
		$user_points = $db->sql_fetchrow($result);
		
		if(empty($user_points))
		{
			trigger_error($user->lang['USER_NOT_EXIST']);
		}
		
		$hidden_fields = build_hidden_fields(array(
			'user_id'	=> $u_id,
			'post_id'	=> $post_id,
		));
		
		$template->assign_vars(array(
			"USER_NAME"				=> get_username_string('full', $u_id, $user_points['username'], $user_points['user_colour']),
			"USER_POINTS"			=> $user_points['user_points'],
			"POINTS"				=> $config['points_name'],
	
			"U_USER_LINK"			=> append_sid("{$phpbb_root_path}memberlist.".$phpEx."?mode=viewprofile&amp;u=".$u_id),
	
			"L_POINTS_MODIFY"		=> sprintf($user->lang['POINTS_MODIFY'], $config['points_name']),
			"L_MOD_POINTS_TITLE"	=> sprintf($user->lang['DONATE_POINTS_TITLE'], $config['points_name']),
			"L_USERNAME"			=> $user->lang['USERNAME'],
			"L_SET_AMOUNT"			=> $user->lang['NEW_AMOUNT'],
			
			"S_ACTION"				=> append_sid("{$phpbb_root_path}donate.".$phpEx."?adm_points=1"),
			"S_HIDDEN_FIELDS"		=> $hidden_fields,
		));
	}
}
else
{
	$template->assign_block_vars('donate_points', array());
	
	$sql = "SELECT user_id, username, user_points, user_colour 
		FROM " . USERS_TABLE . " 
		WHERE user_id = '{$u_id}'";
	$result = $db->sql_query($sql);
	$user_points = $db->sql_fetchrow($result);
	
	if(empty($user_points))
	{
		trigger_error($user->lang['USER_NOT_EXIST']);
	}
		
	if(isset($_POST['submit']))
	{
		$give_points = request_var('points', '0');
		
		if($give_points > $user->data['user_points'])		
		{
			trigger_error($user->lang['GIVE_OWN_MESSAGE']);
		}
		
		add_points($u_id, $give_points);
		substract_points($user->data['user_id'], $give_points);
		
		include_once($phpbb_root_path . 'includes/functions_privmsgs.' . $phpEx);
		include_once($phpbb_root_path . 'includes/message_parser.' . $phpEx);

		$subject = $user->lang['PM_SUBJECT_POINTS'];
		$message = sprintf($user->lang['PM_MESSAGE_POINTS'], $user->data['username'], $give_points, $config['points_name']);
		
		$message_parser = new parse_message();
		$message_parser->message = $message;
		$message_parser->parse(true, true, true, false, false, true, true);

		$pm_data = array(
		   'from_user_id'			=> $user->data['user_id'],
		   'from_user_ip'			=> $user->data['user_ip'],
		   'from_username'			=> $user->data['username'],
		   'enable_sig'				=> ($config['allow_sig'] && $user->optionget('attachsig')) ? true: false,
		   'enable_bbcode'			=> ($config['allow_smilies'] && $user->optionget('smilies')) ? true : false,
		   'enable_smilies'			=> ($config['allow_bbcode'] && $user->optionget('bbcode')) ? true : false,
		   'enable_urls'			=> false,
		   'icon_id'				=> 0,
		   'bbcode_bitfield'		=> $message_parser->bbcode_bitfield,
		   'bbcode_uid'				=> $message_parser->bbcode_uid,
		   'message'         		=> $message_parser->message,
		   'address_list'			=> array('u' => array($u_id => 'to')),
		);

		//Now We Have All Data Lets Send The PM!!
		submit_pm('post', $subject, $pm_data, false, false);
		
		$message = ($post_id) ? sprintf($user->lang['DONATION_RETURN_POST'], '<a href="'.$phpbb_root_path.'viewtopic.'.$phpEx.'?p='.$post_id.'">', '</a>') : sprintf($user->lang['DONATION_RETURN_INDEX'], '<a href="'.$phpbb_root_path.'index.'.$phpEx.'">', '</a>');
		
		trigger_error($user->lang['DONATION_MADE'].$message);
	}
	else
	{	
		$hidden_fields = build_hidden_fields(array(
			'user_id'	=> $u_id,
			'post_id'	=> $post_id,
		));
		
		$template->assign_vars(array(
			"USER_NAME"				=> get_username_string('full', $u_id, $user_points['username'], $user_points['user_colour']),
			"USER_POINTS"			=> $user_points['user_points'],
			"POINTS"				=> $config['points_name'],
			"YOUR_POINTS"			=> $user->data['user_points'],
	
			"U_USER_LINK"			=> append_sid("{$phpbb_root_path}memberlist.".$phpEx."?mode=viewprofile&amp;u=".$u_id),
	
			"L_POINTS_DONATE"		=> sprintf($user->lang['POINTS_DONATE'], $config['points_name']),
			"L_MOD_POINTS_TITLE"	=> sprintf($user->lang['MOD_POINTS_TITLE'], $config['points_name']),
			"L_USERNAME"			=> $user->lang['USERNAME'],
			"L_YOUR_POINTS"			=> $user->lang['YOUR_POINTS'],
			"L_AMOUNT_TO_DONATE"	=> $user->lang['AMOUNT_TO_DONATE'],
			
			"S_ACTION"				=> append_sid("{$phpbb_root_path}donate.".$phpEx."?mode="),
			"S_HIDDEN_FIELDS"		=> $hidden_fields,
		));
	}
}


// Output the page
page_header($page_title);

$template->set_filenames(array(
	'body'	=> 'donate_body.html'
));

page_footer();
?>